# Generated by go2rpm
%bcond_without check

# https://github.com/square/go-jose
%global goipath         gopkg.in/square/go-jose.v2
%global forgeurl        https://github.com/square/go-jose
Version:                2.3.1

%gometa

%global common_description %{expand:
Package jose aims to provide an implementation of the Javascript Object
Signing and Encryption set of standards. This includes support for JSON Web
Encryption, JSON Web Signature, and JSON Web Token standards.}

%global golicenses      LICENSE LICENSE-json
%global godocs          BUG-BOUNTY.md CONTRIBUTING.md README.md\\\
                        README-jose-util.md README-json.md README-jwk-keygen.md

Name:           %{goname}
Release:        3%{?dist}
Summary:        Implementation of JOSE standards (JWE, JWS, JWT) in Go

# Upstream license specification: BSD-3-Clause and Apache-2.0
# ASL 2.0:  Main library
# BSD:      json/
License:        BSD and ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(golang.org/x/crypto/ed25519)
BuildRequires:  golang(golang.org/x/crypto/pbkdf2)
BuildRequires:  golang(gopkg.in/alecthomas/kingpin.v2)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/stretchr/testify/require)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
mv json/LICENSE LICENSE-json
for d in jose-util json jwk-keygen; do
mv $d/README.md README-$d.md
done

%build
for cmd in jwk-keygen jose-util; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE LICENSE-json
%doc BUG-BOUNTY.md CONTRIBUTING.md README.md
%doc README-jose-util.md README-json.md README-jwk-keygen.md
%{_bindir}/*

%gopkgfiles

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Apr 30 16:59:47 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.3.1-2
- Update to new macros

* Thu Apr 11 23:27:33 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.3.1-1
- Release 2.3.1 (#1698660)

* Sun Mar 17 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.3.0-1
- Release 2.3.0 (#1689446)

* Wed Feb 20 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.2.2-1
- Release 2.2.2

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Nov 14 2018 Robert-André Mauchin <zebob.m@gmail.com> - 2.1.9-1
- First package for Fedora
